package com.example.nto_minipigs

import RetrofitClient
import android.util.Log
import androidx.lifecycle.ViewModel
import androidx.lifecycle.viewModelScope
import com.example.nto_minipigs.Retrofit.Models.Auth
import kotlinx.coroutines.launch

class LoginViewModel :ViewModel() {
    private val serviceApi  = RetrofitClient.apiService

    fun getData(login: String, password: String, func: () -> Unit, dataStore: UserData) {
        viewModelScope.launch {
            try {
                val auth = Auth(login, password)
                val response = serviceApi.login(auth)
                dataStore.updateToken(response.body()?.token.toString())
                func()
            } catch (e: Exception) {
                Log.d("exception:", e.toString())
            }
        }
    }
}